<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid nav-bar">
        <a class="navbar-brand" routerLink="/"><img class="logo" src="../../../assets/images/logo.png" alt="logo"></a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" routerLink="/" routerLinkActive="active">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" routerLink="services" routerLinkActive="active">Services</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" routerLink="about-us" routerLinkActive="active">About us</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" routerLink="/contact-us" routerLinkActive="active">Contact us</a>
                </li>
                <li class="nav-item" *ngIf="!user">
                    <button class="btn btn-sm" type="button" data-bs-toggle="modal"
                        data-bs-target="#loginModal">Register</button> 
                </li>
                <li class="nav-item dropdown" *ngIf="user">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                        data-bs-toggle="dropdown" aria-expanded="false">
                        <img src={{user.photoURL}}
                            width="40" height="40" class="rounded-circle">
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li routerLink="user-profile" class="dropdown-item">
                            <a routerLinkActive="active">Profile</a>
                        </li>
                        <li class="dropdown-item">
                            <a (click)="logout()">Log Out</a>
                        </li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
</nav>